Filter Properties
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"allowed_property_types": [
"<string>"
],
"leasable": true
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowed_property_types: ['<string>'], leasable: true})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter"
payload = {
"allowed_property_types": ["<string>"],
"leasable": True
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123
},
"payload": [
{
"id": 123,
"wasi_id": "<string>",
"registration_number": "<string>",
"address": "<string>",
"address_line_2": "<string>",
"latitude": 123,
"longitude": 123,
"geocoding_place_id": "<string>",
"zip_code": "<string>",
"zone": "<string>",
"locality": "<string>",
"property_type": "<string>",
"area": 123,
"bedrooms": 123,
"bathrooms": 123,
"parking_spaces": 123,
"admin_fee": 123,
"admin_fee_due_day": 16,
"stratum": 123,
"amenities": "<string>",
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>",
"additional_attributes": {},
"market_status": "<string>",
"market_status_label": {
"id": 123,
"title": "<string>",
"color": "<string>"
},
"labels": [
{
"id": 123,
"title": "<string>",
"color": "<string>"
}
],
"custom_labels": [
{
"id": 123,
"title": "<string>",
"color": "<string>"
}
],
"property_managers": [
{
"id": 123,
"account_id": 123,
"description": "<string>",
"display_title": "<string>",
"internal_id": "<string>",
"listing_price": 123,
"rental_price": 123,
"currency": "<string>",
"offer_type": "rent",
"publication_titles": {},
"previous_offer_type": "rent",
"open_to_market": true,
"publicly_shareable": true,
"status": "active",
"internal_photos": [
"<string>"
],
"optimized_photos": [
{
"thumb": "<string>",
"large": "<string>"
}
],
"captured_at": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_url": "<string>",
"rental_period": "<string>",
"portals": [
"<string>"
],
"additional_attributes": {},
"mandate_contract_submission_id": 123,
"mandate_scope": "rent",
"exclusive": true,
"revoked_on": "2023-12-25",
"management_fee": 123,
"contract_start_date": "2023-12-25",
"contract_end_date": "2023-12-25",
"commission_type": "<string>",
"sale_management_fee": 123,
"sale_commission_type": "<string>",
"guarantee_owner_payment": true,
"guarantee_admin_payment": true,
"unrecovered_advance_policy": "owner",
"moratory_interest_beneficiary": "<string>",
"notes": "<string>",
"responsible_user_id": 123
}
],
"permissions": {
"can_view": true,
"can_reassign_responsible": true,
"can_edit": true,
"can_edit_registration_number": true,
"can_duplicate": true,
"can_destroy": true,
"can_view_sensitive_details": true,
"can_view_contacts": true,
"can_view_contracts": true,
"can_view_events": true,
"can_view_documents": true
},
"active_contract_submission_id": 123,
"active_tenant_name": "<string>",
"active_tenants_count": 123,
"active_tenancy_status": "<string>",
"linked_contracts_count": 123,
"has_associated_contract": true,
"closed_deal": {
"id": 123,
"title": "<string>",
"opportunity_type": "<string>",
"closed_value": 123,
"expected_value": 123,
"currency": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"counterparty": {
"id": 123,
"name": "<string>",
"thumbnail": "<string>"
},
"owner": {
"id": 123,
"name": "<string>",
"thumbnail": "<string>"
},
"deal_attributions": [
{
"id": 123,
"role": "<string>",
"share_percentage": 123,
"user": {
"id": 123,
"name": "<string>",
"thumbnail": "<string>"
}
}
]
},
"agent_profile": {
"slug": "<string>",
"property_url": "<string>",
"property_share_url": "<string>"
},
"property_assignments": [
{
"id": 123,
"contact_id": 123,
"role": "<string>",
"ownership_percentage": 123,
"lock": {
"contract_submission_id": 123,
"contract_submitter_id": 123,
"pending_change_request_id": 123,
"pending_change_request_mine": true
},
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"document_type": "<string>",
"document_number": "<string>"
}
}
]
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Properties
Filter Properties
Filter the portfolio with the same query language as saved custom filters.
POST
/
api
/
v1
/
accounts
/
{account_id}
/
properties
/
filter
Filter Properties
curl --request POST \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter \
--header 'Content-Type: application/json' \
--header 'api_access_token: <api-key>' \
--data '
{
"allowed_property_types": [
"<string>"
],
"leasable": true
}
'const options = {
method: 'POST',
headers: {api_access_token: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({allowed_property_types: ['<string>'], leasable: true})
};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/properties/filter"
payload = {
"allowed_property_types": ["<string>"],
"leasable": True
}
headers = {
"api_access_token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"meta": {
"count": 123,
"current_page": 123,
"total_pages": 123
},
"payload": [
{
"id": 123,
"wasi_id": "<string>",
"registration_number": "<string>",
"address": "<string>",
"address_line_2": "<string>",
"latitude": 123,
"longitude": 123,
"geocoding_place_id": "<string>",
"zip_code": "<string>",
"zone": "<string>",
"locality": "<string>",
"property_type": "<string>",
"area": 123,
"bedrooms": 123,
"bathrooms": 123,
"parking_spaces": 123,
"admin_fee": 123,
"admin_fee_due_day": 16,
"stratum": 123,
"amenities": "<string>",
"country_code": "<string>",
"country_name": "<string>",
"state_code": "<string>",
"state_name": "<string>",
"city_name": "<string>",
"additional_attributes": {},
"market_status": "<string>",
"market_status_label": {
"id": 123,
"title": "<string>",
"color": "<string>"
},
"labels": [
{
"id": 123,
"title": "<string>",
"color": "<string>"
}
],
"custom_labels": [
{
"id": 123,
"title": "<string>",
"color": "<string>"
}
],
"property_managers": [
{
"id": 123,
"account_id": 123,
"description": "<string>",
"display_title": "<string>",
"internal_id": "<string>",
"listing_price": 123,
"rental_price": 123,
"currency": "<string>",
"offer_type": "rent",
"publication_titles": {},
"previous_offer_type": "rent",
"open_to_market": true,
"publicly_shareable": true,
"status": "active",
"internal_photos": [
"<string>"
],
"optimized_photos": [
{
"thumb": "<string>",
"large": "<string>"
}
],
"captured_at": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_url": "<string>",
"rental_period": "<string>",
"portals": [
"<string>"
],
"additional_attributes": {},
"mandate_contract_submission_id": 123,
"mandate_scope": "rent",
"exclusive": true,
"revoked_on": "2023-12-25",
"management_fee": 123,
"contract_start_date": "2023-12-25",
"contract_end_date": "2023-12-25",
"commission_type": "<string>",
"sale_management_fee": 123,
"sale_commission_type": "<string>",
"guarantee_owner_payment": true,
"guarantee_admin_payment": true,
"unrecovered_advance_policy": "owner",
"moratory_interest_beneficiary": "<string>",
"notes": "<string>",
"responsible_user_id": 123
}
],
"permissions": {
"can_view": true,
"can_reassign_responsible": true,
"can_edit": true,
"can_edit_registration_number": true,
"can_duplicate": true,
"can_destroy": true,
"can_view_sensitive_details": true,
"can_view_contacts": true,
"can_view_contracts": true,
"can_view_events": true,
"can_view_documents": true
},
"active_contract_submission_id": 123,
"active_tenant_name": "<string>",
"active_tenants_count": 123,
"active_tenancy_status": "<string>",
"linked_contracts_count": 123,
"has_associated_contract": true,
"closed_deal": {
"id": 123,
"title": "<string>",
"opportunity_type": "<string>",
"closed_value": 123,
"expected_value": 123,
"currency": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"counterparty": {
"id": 123,
"name": "<string>",
"thumbnail": "<string>"
},
"owner": {
"id": 123,
"name": "<string>",
"thumbnail": "<string>"
},
"deal_attributions": [
{
"id": 123,
"role": "<string>",
"share_percentage": 123,
"user": {
"id": 123,
"name": "<string>",
"thumbnail": "<string>"
}
}
]
},
"agent_profile": {
"slug": "<string>",
"property_url": "<string>",
"property_share_url": "<string>"
},
"property_assignments": [
{
"id": 123,
"contact_id": 123,
"role": "<string>",
"ownership_percentage": 123,
"lock": {
"contract_submission_id": 123,
"contract_submitter_id": 123,
"pending_change_request_id": 123,
"pending_change_request_mine": true
},
"contact": {
"id": 123,
"name": "<string>",
"email": "<string>",
"phone_number": "<string>",
"document_type": "<string>",
"document_number": "<string>"
}
}
]
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
The numeric ID of the account
Body
application/json
Was this page helpful?